#define LCD_SIZE_X (320)
#define LCD_SIZE_Y (240)
#define FONT_NUM (16 * 6)
#define FONT_SIZE_X (24)
#define FONT_SIZE_Y (48)

enum lcd_color
{
	BLACK = 0,
	RED,
	GREEN,
	BLUE,
	YELLOW,
	CYAN,
	MAGENTA,
	WHITE,
};

#define FCOLOR WHITE
#define BCOLOR BLACK

#define LCD_LEFT	0
#define LCD_RIGHT	-1
#define LCD_CENTER	-2

extern void lcd_putc(int x, int y, const char c, int fcolor, int bcolor);
extern void lcd_puts(int x, int y, const char *s, int fcolor, int bcolor);
extern void lcd_clear(void);
