#include "minilib.h"

// o B.W.J[jn/D.M.b`[uvO~OCv
void strcpy(char *s, char *t)
{
	while ((*s = *t) != '\0') {
		s++;
		t++;
	}
}

int strlen(const char *s)
{
	int n;
	for(n = 0; *s; s++)n++;
	return n;
}

int strncmp(const char *s1, const char *s2, int n)
{
	while(n)
	{
		if(*s1 != *s2)break;
		s1++;
		s2++;
		n--;
	}
	return n;
}

char *strcat(char *dest, const char *src)
{
	char *p = dest;

	while(*p)
	{
		p++;
	}
	while(*src)
	{
		*p++ = *src++;
	}
	*p++ = '\0';
	return dest;
}

int atoi(char s[])
{
	int i, n;

	n = 0;
	for(i = 0; s[i] >= '0' && s[i] <= '9'; ++i)
	{
		n = 10 * n + (s[i] - '0');
	}
	return n;
}

void reverse(char s[])
{
	int c, i, j;

	for(i = 0, j = strlen(s) - 1; i < j; i++, j--)
	{
		c = s[i];
		s[i] = s[j];
		s[j] = c;
	}
	return;
}

void itoa(int n, char s[])
{
	int sign, i = 0;

	if((sign = n) < 0)
		n = -n;
	do{
		s[i] = n % 10 + '0';
		i++;
	}while((n /= 10) > 0);
	if(sign < 0)
		s[i++] = '-';
	s[i] = '\0';
	reverse(s);
	return;
}

void itoa02(int n, char s[])
{
	if(10 > n)
	{
		*s++ = '0';
	}
	itoa(n, s);
	return;
}

void itoa03(int n, char s[])
{
	if(100 > n)
	{
		*s++ = '0';
	}
	itoa02(n, s);
	return;
}

void itoa_2(int n, char s[])
{
	if(10 > n)
	{
		*s++ = ' ';
	}
	itoa(n, s);
	return;
}

void itoa_3(int n, char s[])
{
	if(100 > n)
	{
		*s++ = ' ';
	}
	itoa_2(n, s);
	return;
}
