#include "LPC11xx.h"
#include "gpio.h"

void init_gpio(void)
{
	LPC_IOCON->PIO0_2 = 0xd0;
	LPC_GPIO0->DATA |= (1 << 2);
	LPC_GPIO0->DIR |= (1 << 2);

	return;
}

void gpio_write_02(int d)
{
	if(0 == d)
	{
		LPC_GPIO0->DATA &= ~(1 << 2);
	}
	else
	{
		LPC_GPIO0->DATA |= (1 << 2);
	}
	return;
}

unsigned char gpio_read_02(void)
{
	return (unsigned char)(LPC_GPIO0->DATA & (1 << 2)) ? 1 : 0;
}

unsigned char gpio_read_05(void)
{
	return (unsigned char)(LPC_GPIO0->DATA & (1 << 5)) ? 1 : 0;
}
