#include "gps.h"
#include "minilib.h"
#include "time.h"

//nԖڂ̃t[̃|C^Ԃ
static char *skip(char *p, int n)
{
	while(n--)
	{
		while(',' != *p++);
	}
	return p;
}

int year, month, day, hour, min, sec;
int mday[] = {-1, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};	//[N228ȗ

int gps_get_time(char *s)
{
	int res = 0;

	if(0 == strncmp(s, "$GPRMC", 6))
	{
		if('A' == *skip(s, 2))
		{
			res = 1;
		}

		{
			int tmp;

			tmp = atoi(skip(s, 9));
			day = tmp / 10000;
			month = tmp % 10000 / 100;
			year = tmp % 100 + 2000;

			tmp = atoi(skip(s, 1));
			hour = tmp / 10000;
			min = tmp % 10000 / 100;
			sec = tmp % 100;

			//{Ԃɕ␳
			hour += 9;
			if(23 < hour)
			{
				hour -= 24;

				if((2 == month)
				&& (28 == day))
				{
					if(((0 == year % 4) && (0 != year % 100))
					|| (0 == year % 400))
					{
						day = 29;
					}
					else
					{
						month = 3;
						day = 1;
					}
				}
				else
				{
					int days_of_month[] = {31,29,31,30,31,30,31,31,30,31,30,31};

					day += 1;
					if(days_of_month[month - 1] < day)
					{
						day = 1;
						month += 1;
						if(12 < month)
						{
							month = 0;
							year += 1;
						}
					}
				}
			}

			if((2012 < year && year < 9999)
			&& (0 < month && month < 13)
			&& (0 < day && day < mday[month] + 1)
			&& (0 <= hour && hour < 24)
			&& (0 <= min && min < 60)
			&& (0 <= sec && sec < 60))
			{
				;
			}
			else
			{
				res = 0;
			}

			static int save = -1;
			if(save != -1)
			{
				if(save > sec)
				{
					sec += 60;
				}
				while(save != sec)
				{
					time_inc_time();
					save++;
				}
			}
			save = sec % 60;
		}
	}
	return res;
}

double gps_get_speed(char *s)
{
	int speed = -1;
	char *p;

	if(0 == strncmp(s, "$GPVTG", 6))
	{
		if('N' != *skip(s, 9))
		{
			p = skip(s, 7);
			if('.' == p[1])
			{
				speed = (p[0] -'0') * 1000 + (p[2] -'0') * 100 + (p[3] -'0') *10;
			}
			else
			if('.' == p[2])
			{
				speed = (p[0] -'0') * 10000 + (p[1] -'0') *1000 + (p[3] -'0') *100 + (p[4] -'0') *10;
			}
			else
			if('.' == p[3])
			{
				speed = (p[0] -'0') * 100000 + (p[1] -'0') *10000 + (p[2] -'0') *1000 + (p[4] -'0') *100 + (p[5] -'0') *10;
			}
		}
	}
	return (double)speed;
}

int gps_get_antenna_height(char *s, char* buf)
{
	int res = 0;
	char *p;

	if(0 == strncmp(s, "$GPGGA", 6))
	{
		for(p = skip(s, 9); ',' != *p; buf++, p++)
		{
			*buf = *p;
		}
		res = 1;
	}
	*buf = '\0';
	return res;
}

int gps_get_geoidal_height(char *s, char* buf)
{
	int res = 0;
	char *p;

	if(0 == strncmp(s, "$GPGGA", 6))
	{
		for(p = skip(s, 11); ',' != *p; buf++, p++)
		{
			*buf = *p;
		}
		res = 1;
	}
	*buf = '\0';
	return res;
}

int gps_get_number_of_satellites(char *s, char* buf)
{
	int res = 0;
	char *p;

	if(0 == strncmp(s, "$GPGGA", 6))
	{
		for(p = skip(s, 7); ',' != *p; buf++, p++)
		{
			*buf = *p;
		}
		res = 1;
	}
	*buf = '\0';
	return res;
}

int gps_get_course_over_ground(char *s, char* buf)
{
	int res = 0;
	char *p;

	if(0 == strncmp(s, "$GPRMC", 6))
	{
		for(p = skip(s, 8); '.' != *p; buf++, p++)	//_ȉ͎̂Ă
		{
			*buf = *p;
		}
		res = 1;
	}
	*buf = '\0';
	return res;
}
